#include <bits/stdc++.h>
using namespace std;
int neg[200005], poz[200005];
  string s;
  int n;
  void set1(){
    int b = 0;
    int res = 0;
    for(int i = 1; i<=n; i++){
        res++;
        if(neg[i]+2*i>b+i){
            break;
        }
        else{
            s = s+"23";
        }
    }

    cout << res << endl << s << endl;
}
void set2(){
    int b = 0;
    int res = 0;
    for(int i = 1; i<=n; i++){
        res++;
        s = s+"23";

    }

    cout << res << endl << s << endl;
}
int main(){
  int x, y;
  cin >> n;
  for(int i = 1;i <=n; i++){
    cin >> x;
    if(x<0) neg[i]=x;
    else {
        y = i-1;
    break;
  }
  if(i==n) y = n;
  }
  reverse(neg+1, neg+n-y+1);
  if(y!=n)
  poz[1] = x;
  for(int i = 2; i<=n-y; i++){
    cin >> x;
    poz[i] = x;
  }
  int a =0;

    /*for(int i = 1; i<=y; i++){
        cout << neg[i] << " ";
    }
    cout << endl;
    for(int i = 1; i<=n-y; i++){
        cout << poz[i] << " ";
    }*/
    set2();
    return 0;
}